> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload payments

> Uploads payments to an existing payment batch.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json post /payment-batches/{paymentBatchId}/payments
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}/payments:
    post:
      tags:
        - Payment Batches
      summary: Upload payments
      description: Uploads payments to an existing payment batch.
      operationId: uploadPaymentsForPaymentBatch
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: content-type
          in: header
          schema:
            description: Format for the payments upload.
            type:
              - string
          required: true
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              oneOf:
                - type:
                    - object
                  properties:
                    defaultFundingBudgetId:
                      type:
                        - string
                      format: uuid
                      maxLength: 36
                      description: >-
                        The ID of the budget that will fund each payment if one
                        isn't specified per payment
                    rows:
                      type:
                        - array
                      items:
                        type:
                          - object
                        properties:
                          amount:
                            type:
                              - string
                            pattern: ^(0|[1-9]\d{0,10})(\.\d{1,4})?$
                          currencyCode:
                            type:
                              - string
                            enum:
                              - AED
                              - AFN
                              - ALL
                              - AMD
                              - ANG
                              - AOA
                              - ARS
                              - AUD
                              - AWG
                              - AZN
                              - BAM
                              - BBD
                              - BDT
                              - BHD
                              - BIF
                              - BMD
                              - BND
                              - BOB
                              - BOV
                              - BRL
                              - BSD
                              - BTN
                              - BWP
                              - BYN
                              - BZD
                              - CAD
                              - CDF
                              - CHF
                              - CLP
                              - CNY
                              - COP
                              - CRC
                              - CUC
                              - CUP
                              - CVE
                              - CZK
                              - DJF
                              - DKK
                              - DOP
                              - DZD
                              - EGP
                              - ERN
                              - ETB
                              - EUR
                              - FJD
                              - FKP
                              - GBP
                              - GEL
                              - GGP
                              - GHS
                              - GIP
                              - GMD
                              - GNF
                              - GTQ
                              - GYD
                              - HKD
                              - HNL
                              - HRK
                              - HTG
                              - HUF
                              - IDR
                              - ILS
                              - INR
                              - IQD
                              - IRR
                              - ISK
                              - JMD
                              - JOD
                              - JPY
                              - KES
                              - KGS
                              - KHR
                              - KMF
                              - KPW
                              - KRW
                              - KWD
                              - KYD
                              - KZT
                              - LAK
                              - LBP
                              - LKR
                              - LRD
                              - LSL
                              - LTL
                              - LVL
                              - LYD
                              - MAD
                              - MDL
                              - MGA
                              - MKD
                              - MMK
                              - MNT
                              - MOP
                              - MUR
                              - MVR
                              - MWK
                              - MXN
                              - MYR
                              - MZN
                              - NAD
                              - NGN
                              - NIO
                              - NOK
                              - NPR
                              - NZD
                              - OMR
                              - PAB
                              - PEN
                              - PGK
                              - PHP
                              - PKR
                              - PLN
                              - PYG
                              - QAR
                              - RON
                              - RSD
                              - RUB
                              - RWF
                              - SAR
                              - SBD
                              - SCR
                              - SEK
                              - SGD
                              - SHN
                              - SLL
                              - SOS
                              - SRD
                              - SSP
                              - STN
                              - SYP
                              - SZL
                              - THB
                              - TJS
                              - TMT
                              - TND
                              - TOP
                              - TRY
                              - TTD
                              - TWD
                              - TZS
                              - UAH
                              - UGX
                              - USD
                              - UYU
                              - UZS
                              - VND
                              - VUV
                              - WST
                              - XAF
                              - XAG
                              - XAU
                              - XCD
                              - XOF
                              - XPD
                              - XPF
                              - XPT
                              - YER
                              - ZAR
                              - ZMK
                              - ZMW
                              - ZWD
                            example: USD
                          fundingBudgetId:
                            type:
                              - string
                            maxLength: 36
                            format: uuid
                            description: The unique ID of the funding budget.
                          purposeCode:
                            type:
                              - string
                            pattern: ^[A-Z0-9]{3,13}$
                            description: The purpose code of the payment.
                          purpose:
                            type:
                              - string
                            maxLength: 256
                            description: The purpose of the payment.
                          reference:
                            type:
                              - string
                            maxLength: 140
                            description: The reference of the payment.
                            example: Invoice INV-12345 for Q1 consulting services
                          externalId:
                            type:
                              - string
                            minLength: 1
                            maxLength: 64
                            description: >-
                              A unique customer-defined identifier for the
                              payment. Can be used to match payment requests
                              with webhook notifications.
                          recipient:
                            oneOf:
                              - type:
                                  - object
                                properties:
                                  id:
                                    type:
                                      - string
                                    minLength: 5
                                    maxLength: 32
                                    description: The unique ID of the Recipient.
                                  defaultReference:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: >-
                                      The default reference used for payments to
                                      this recipient.
                                  type:
                                    type:
                                      - string
                                    enum:
                                      - individual
                                      - business
                                      - charity
                                    description: The type of recipient.
                                  name:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: The name of the recipient.
                                  displayName:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: >-
                                      An optional name for the recipient. This
                                      is used only for display purposes..
                                  subscribedEmails:
                                    type:
                                      - array
                                    items:
                                      type:
                                        - object
                                      properties:
                                        name:
                                          type:
                                            - string
                                        email:
                                          type:
                                            - string
                                          format: email
                                      required:
                                        - name
                                        - email
                                      description: >-
                                        When payments are made to this
                                        recipient, the email address will be
                                        used to send a notification.
                                    minItems: 1
                                    maxItems: 1
                                  accountIdentifier:
                                    type:
                                      - string
                                    maxLength: 34
                                    description: >-
                                      Identifier of the account, could be iban
                                      or account number.
                                  bankIdentifier:
                                    type:
                                      - string
                                    maxLength: 20
                                    description: >-
                                      Identifier of the bank, could be BIC or
                                      local identifier. Such as a sort code.
                                  secondaryBankIdentifier:
                                    type:
                                      - string
                                    maxLength: 34
                                    description: >-
                                      The secondary bank identifier, such as
                                      Canadian routing number or Australian BSB.
                                  intermediaryBankIdentifier:
                                    type:
                                      - string
                                    maxLength: 11
                                    description: The BIC of the intermediary bank.
                                  paymentNetwork:
                                    type:
                                      - string
                                    enum:
                                      - SWIFT
                                      - SEPA.INSTANT
                                      - SEPA.CREDITTRANSFER
                                      - CHAPS
                                      - UKFPS
                                      - ACH
                                      - WIRETRANSFER
                                      - OFF_PLATFORM
                                      - NIP
                                    description: >-
                                      The preferred payment network for payments
                                      to this recipient.
                                  address:
                                    type:
                                      - object
                                    properties:
                                      addressType:
                                        type:
                                          - string
                                        enum:
                                          - ADDR
                                          - PBOX
                                          - HOME
                                          - BIZZ
                                          - MLTO
                                          - DLVY
                                      streetName:
                                        type:
                                          - string
                                        maxLength: 70
                                      buildingNumber:
                                        type:
                                          - string
                                        maxLength: 16
                                      buildingName:
                                        type:
                                          - string
                                        maxLength: 35
                                      postcode:
                                        type:
                                          - string
                                        maxLength: 16
                                      city:
                                        type:
                                          - string
                                        maxLength: 35
                                      region:
                                        type:
                                          - string
                                        maxLength: 35
                                      countryCode:
                                        type:
                                          - string
                                        enum:
                                          - AD
                                          - AE
                                          - AF
                                          - AG
                                          - AI
                                          - AL
                                          - AM
                                          - AO
                                          - AQ
                                          - AR
                                          - AS
                                          - AT
                                          - AU
                                          - AW
                                          - AX
                                          - AZ
                                          - BA
                                          - BB
                                          - BD
                                          - BE
                                          - BF
                                          - BG
                                          - BH
                                          - BI
                                          - BJ
                                          - BL
                                          - BM
                                          - BN
                                          - BO
                                          - BQ
                                          - BR
                                          - BS
                                          - BT
                                          - BV
                                          - BW
                                          - BY
                                          - BZ
                                          - CA
                                          - CC
                                          - CD
                                          - CF
                                          - CG
                                          - CH
                                          - CI
                                          - CK
                                          - CL
                                          - CM
                                          - CN
                                          - CO
                                          - CR
                                          - CU
                                          - CV
                                          - CW
                                          - CX
                                          - CY
                                          - CZ
                                          - DE
                                          - DJ
                                          - DK
                                          - DM
                                          - DO
                                          - DZ
                                          - EC
                                          - EE
                                          - EG
                                          - EH
                                          - ER
                                          - ES
                                          - ET
                                          - FI
                                          - FJ
                                          - FK
                                          - FM
                                          - FO
                                          - FR
                                          - GA
                                          - GB
                                          - GD
                                          - GE
                                          - GF
                                          - GG
                                          - GH
                                          - GI
                                          - GL
                                          - GM
                                          - GN
                                          - GP
                                          - GQ
                                          - GR
                                          - GS
                                          - GT
                                          - GU
                                          - GW
                                          - GY
                                          - HK
                                          - HM
                                          - HN
                                          - HR
                                          - HT
                                          - HU
                                          - ID
                                          - IE
                                          - IL
                                          - IM
                                          - IN
                                          - IO
                                          - IQ
                                          - IR
                                          - IS
                                          - IT
                                          - JE
                                          - JM
                                          - JO
                                          - JP
                                          - KE
                                          - KG
                                          - KH
                                          - KI
                                          - KM
                                          - KN
                                          - KP
                                          - KR
                                          - KW
                                          - KY
                                          - KZ
                                          - LA
                                          - LB
                                          - LC
                                          - LI
                                          - LK
                                          - LR
                                          - LS
                                          - LT
                                          - LU
                                          - LV
                                          - LY
                                          - MA
                                          - MC
                                          - MD
                                          - ME
                                          - MF
                                          - MG
                                          - MH
                                          - MK
                                          - ML
                                          - MM
                                          - MN
                                          - MO
                                          - MP
                                          - MQ
                                          - MR
                                          - MS
                                          - MT
                                          - MU
                                          - MV
                                          - MW
                                          - MX
                                          - MY
                                          - MZ
                                          - NA
                                          - NC
                                          - NE
                                          - NF
                                          - NG
                                          - NI
                                          - NL
                                          - 'NO'
                                          - NP
                                          - NR
                                          - NU
                                          - NZ
                                          - OM
                                          - PA
                                          - PE
                                          - PF
                                          - PG
                                          - PH
                                          - PK
                                          - PL
                                          - PM
                                          - PN
                                          - PR
                                          - PS
                                          - PT
                                          - PW
                                          - PY
                                          - QA
                                          - RE
                                          - RO
                                          - RS
                                          - RU
                                          - RW
                                          - SA
                                          - SB
                                          - SC
                                          - SD
                                          - SE
                                          - SG
                                          - SH
                                          - SI
                                          - SJ
                                          - SK
                                          - SL
                                          - SM
                                          - SN
                                          - SO
                                          - SR
                                          - SS
                                          - ST
                                          - SV
                                          - SX
                                          - SY
                                          - SZ
                                          - TC
                                          - TD
                                          - TF
                                          - TG
                                          - TH
                                          - TJ
                                          - TK
                                          - TL
                                          - TM
                                          - TN
                                          - TO
                                          - TR
                                          - TT
                                          - TV
                                          - TW
                                          - TZ
                                          - UA
                                          - UG
                                          - UM
                                          - US
                                          - UY
                                          - UZ
                                          - VA
                                          - VC
                                          - VE
                                          - VG
                                          - VI
                                          - VN
                                          - VU
                                          - WF
                                          - WS
                                          - XK
                                          - YE
                                          - YT
                                          - ZA
                                          - ZM
                                          - ZW
                                        example: GB
                                    required:
                                      - countryCode
                                  bankAddress:
                                    type:
                                      - object
                                    properties:
                                      countryCode:
                                        type:
                                          - string
                                        enum:
                                          - AD
                                          - AE
                                          - AF
                                          - AG
                                          - AI
                                          - AL
                                          - AM
                                          - AO
                                          - AQ
                                          - AR
                                          - AS
                                          - AT
                                          - AU
                                          - AW
                                          - AX
                                          - AZ
                                          - BA
                                          - BB
                                          - BD
                                          - BE
                                          - BF
                                          - BG
                                          - BH
                                          - BI
                                          - BJ
                                          - BL
                                          - BM
                                          - BN
                                          - BO
                                          - BQ
                                          - BR
                                          - BS
                                          - BT
                                          - BV
                                          - BW
                                          - BY
                                          - BZ
                                          - CA
                                          - CC
                                          - CD
                                          - CF
                                          - CG
                                          - CH
                                          - CI
                                          - CK
                                          - CL
                                          - CM
                                          - CN
                                          - CO
                                          - CR
                                          - CU
                                          - CV
                                          - CW
                                          - CX
                                          - CY
                                          - CZ
                                          - DE
                                          - DJ
                                          - DK
                                          - DM
                                          - DO
                                          - DZ
                                          - EC
                                          - EE
                                          - EG
                                          - EH
                                          - ER
                                          - ES
                                          - ET
                                          - FI
                                          - FJ
                                          - FK
                                          - FM
                                          - FO
                                          - FR
                                          - GA
                                          - GB
                                          - GD
                                          - GE
                                          - GF
                                          - GG
                                          - GH
                                          - GI
                                          - GL
                                          - GM
                                          - GN
                                          - GP
                                          - GQ
                                          - GR
                                          - GS
                                          - GT
                                          - GU
                                          - GW
                                          - GY
                                          - HK
                                          - HM
                                          - HN
                                          - HR
                                          - HT
                                          - HU
                                          - ID
                                          - IE
                                          - IL
                                          - IM
                                          - IN
                                          - IO
                                          - IQ
                                          - IR
                                          - IS
                                          - IT
                                          - JE
                                          - JM
                                          - JO
                                          - JP
                                          - KE
                                          - KG
                                          - KH
                                          - KI
                                          - KM
                                          - KN
                                          - KP
                                          - KR
                                          - KW
                                          - KY
                                          - KZ
                                          - LA
                                          - LB
                                          - LC
                                          - LI
                                          - LK
                                          - LR
                                          - LS
                                          - LT
                                          - LU
                                          - LV
                                          - LY
                                          - MA
                                          - MC
                                          - MD
                                          - ME
                                          - MF
                                          - MG
                                          - MH
                                          - MK
                                          - ML
                                          - MM
                                          - MN
                                          - MO
                                          - MP
                                          - MQ
                                          - MR
                                          - MS
                                          - MT
                                          - MU
                                          - MV
                                          - MW
                                          - MX
                                          - MY
                                          - MZ
                                          - NA
                                          - NC
                                          - NE
                                          - NF
                                          - NG
                                          - NI
                                          - NL
                                          - 'NO'
                                          - NP
                                          - NR
                                          - NU
                                          - NZ
                                          - OM
                                          - PA
                                          - PE
                                          - PF
                                          - PG
                                          - PH
                                          - PK
                                          - PL
                                          - PM
                                          - PN
                                          - PR
                                          - PS
                                          - PT
                                          - PW
                                          - PY
                                          - QA
                                          - RE
                                          - RO
                                          - RS
                                          - RU
                                          - RW
                                          - SA
                                          - SB
                                          - SC
                                          - SD
                                          - SE
                                          - SG
                                          - SH
                                          - SI
                                          - SJ
                                          - SK
                                          - SL
                                          - SM
                                          - SN
                                          - SO
                                          - SR
                                          - SS
                                          - ST
                                          - SV
                                          - SX
                                          - SY
                                          - SZ
                                          - TC
                                          - TD
                                          - TF
                                          - TG
                                          - TH
                                          - TJ
                                          - TK
                                          - TL
                                          - TM
                                          - TN
                                          - TO
                                          - TR
                                          - TT
                                          - TV
                                          - TW
                                          - TZ
                                          - UA
                                          - UG
                                          - UM
                                          - US
                                          - UY
                                          - UZ
                                          - VA
                                          - VC
                                          - VE
                                          - VG
                                          - VI
                                          - VN
                                          - VU
                                          - WF
                                          - WS
                                          - XK
                                          - YE
                                          - YT
                                          - ZA
                                          - ZM
                                          - ZW
                                        example: GB
                                    required:
                                      - countryCode
                                required:
                                  - id
                                title: Existing recipient
                              - type:
                                  - object
                                properties:
                                  defaultReference:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: >-
                                      The default reference used for payments to
                                      this recipient.
                                  type:
                                    type:
                                      - string
                                    enum:
                                      - individual
                                      - business
                                      - charity
                                    description: The type of recipient.
                                  name:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: The name of the recipient.
                                  displayName:
                                    type:
                                      - string
                                    maxLength: 128
                                    description: >-
                                      An optional name for the recipient. This
                                      is used only for display purposes..
                                  subscribedEmails:
                                    type:
                                      - array
                                    items:
                                      type:
                                        - object
                                      properties:
                                        name:
                                          type:
                                            - string
                                        email:
                                          type:
                                            - string
                                          format: email
                                      required:
                                        - name
                                        - email
                                      description: >-
                                        When payments are made to this
                                        recipient, the email address will be
                                        used to send a notification.
                                    minItems: 1
                                    maxItems: 1
                                  accountIdentifier:
                                    type:
                                      - string
                                    maxLength: 34
                                    description: >-
                                      Identifier of the account, could be iban
                                      or account number.
                                  bankIdentifier:
                                    type:
                                      - string
                                    maxLength: 20
                                    description: >-
                                      Identifier of the bank, could be BIC or
                                      local identifier. Such as a sort code.
                                  secondaryBankIdentifier:
                                    type:
                                      - string
                                    maxLength: 34
                                    description: >-
                                      The secondary bank identifier, such as
                                      Canadian routing number or Australian BSB.
                                  intermediaryBankIdentifier:
                                    type:
                                      - string
                                    maxLength: 11
                                    description: The BIC of the intermediary bank.
                                  paymentNetwork:
                                    type:
                                      - string
                                    enum:
                                      - SWIFT
                                      - SEPA.INSTANT
                                      - SEPA.CREDITTRANSFER
                                      - CHAPS
                                      - UKFPS
                                      - ACH
                                      - WIRETRANSFER
                                      - OFF_PLATFORM
                                      - NIP
                                    description: >-
                                      The preferred payment network for payments
                                      to this recipient.
                                  address:
                                    type:
                                      - object
                                    properties:
                                      addressType:
                                        type:
                                          - string
                                        enum:
                                          - ADDR
                                          - PBOX
                                          - HOME
                                          - BIZZ
                                          - MLTO
                                          - DLVY
                                      streetName:
                                        type:
                                          - string
                                        maxLength: 70
                                      buildingNumber:
                                        type:
                                          - string
                                        maxLength: 16
                                      buildingName:
                                        type:
                                          - string
                                        maxLength: 35
                                      postcode:
                                        type:
                                          - string
                                        maxLength: 16
                                      city:
                                        type:
                                          - string
                                        maxLength: 35
                                      region:
                                        type:
                                          - string
                                        maxLength: 35
                                      countryCode:
                                        type:
                                          - string
                                        enum:
                                          - AD
                                          - AE
                                          - AF
                                          - AG
                                          - AI
                                          - AL
                                          - AM
                                          - AO
                                          - AQ
                                          - AR
                                          - AS
                                          - AT
                                          - AU
                                          - AW
                                          - AX
                                          - AZ
                                          - BA
                                          - BB
                                          - BD
                                          - BE
                                          - BF
                                          - BG
                                          - BH
                                          - BI
                                          - BJ
                                          - BL
                                          - BM
                                          - BN
                                          - BO
                                          - BQ
                                          - BR
                                          - BS
                                          - BT
                                          - BV
                                          - BW
                                          - BY
                                          - BZ
                                          - CA
                                          - CC
                                          - CD
                                          - CF
                                          - CG
                                          - CH
                                          - CI
                                          - CK
                                          - CL
                                          - CM
                                          - CN
                                          - CO
                                          - CR
                                          - CU
                                          - CV
                                          - CW
                                          - CX
                                          - CY
                                          - CZ
                                          - DE
                                          - DJ
                                          - DK
                                          - DM
                                          - DO
                                          - DZ
                                          - EC
                                          - EE
                                          - EG
                                          - EH
                                          - ER
                                          - ES
                                          - ET
                                          - FI
                                          - FJ
                                          - FK
                                          - FM
                                          - FO
                                          - FR
                                          - GA
                                          - GB
                                          - GD
                                          - GE
                                          - GF
                                          - GG
                                          - GH
                                          - GI
                                          - GL
                                          - GM
                                          - GN
                                          - GP
                                          - GQ
                                          - GR
                                          - GS
                                          - GT
                                          - GU
                                          - GW
                                          - GY
                                          - HK
                                          - HM
                                          - HN
                                          - HR
                                          - HT
                                          - HU
                                          - ID
                                          - IE
                                          - IL
                                          - IM
                                          - IN
                                          - IO
                                          - IQ
                                          - IR
                                          - IS
                                          - IT
                                          - JE
                                          - JM
                                          - JO
                                          - JP
                                          - KE
                                          - KG
                                          - KH
                                          - KI
                                          - KM
                                          - KN
                                          - KP
                                          - KR
                                          - KW
                                          - KY
                                          - KZ
                                          - LA
                                          - LB
                                          - LC
                                          - LI
                                          - LK
                                          - LR
                                          - LS
                                          - LT
                                          - LU
                                          - LV
                                          - LY
                                          - MA
                                          - MC
                                          - MD
                                          - ME
                                          - MF
                                          - MG
                                          - MH
                                          - MK
                                          - ML
                                          - MM
                                          - MN
                                          - MO
                                          - MP
                                          - MQ
                                          - MR
                                          - MS
                                          - MT
                                          - MU
                                          - MV
                                          - MW
                                          - MX
                                          - MY
                                          - MZ
                                          - NA
                                          - NC
                                          - NE
                                          - NF
                                          - NG
                                          - NI
                                          - NL
                                          - 'NO'
                                          - NP
                                          - NR
                                          - NU
                                          - NZ
                                          - OM
                                          - PA
                                          - PE
                                          - PF
                                          - PG
                                          - PH
                                          - PK
                                          - PL
                                          - PM
                                          - PN
                                          - PR
                                          - PS
                                          - PT
                                          - PW
                                          - PY
                                          - QA
                                          - RE
                                          - RO
                                          - RS
                                          - RU
                                          - RW
                                          - SA
                                          - SB
                                          - SC
                                          - SD
                                          - SE
                                          - SG
                                          - SH
                                          - SI
                                          - SJ
                                          - SK
                                          - SL
                                          - SM
                                          - SN
                                          - SO
                                          - SR
                                          - SS
                                          - ST
                                          - SV
                                          - SX
                                          - SY
                                          - SZ
                                          - TC
                                          - TD
                                          - TF
                                          - TG
                                          - TH
                                          - TJ
                                          - TK
                                          - TL
                                          - TM
                                          - TN
                                          - TO
                                          - TR
                                          - TT
                                          - TV
                                          - TW
                                          - TZ
                                          - UA
                                          - UG
                                          - UM
                                          - US
                                          - UY
                                          - UZ
                                          - VA
                                          - VC
                                          - VE
                                          - VG
                                          - VI
                                          - VN
                                          - VU
                                          - WF
                                          - WS
                                          - XK
                                          - YE
                                          - YT
                                          - ZA
                                          - ZM
                                          - ZW
                                        example: GB
                                    required:
                                      - countryCode
                                  bankAddress:
                                    type:
                                      - object
                                    properties:
                                      countryCode:
                                        type:
                                          - string
                                        enum:
                                          - AD
                                          - AE
                                          - AF
                                          - AG
                                          - AI
                                          - AL
                                          - AM
                                          - AO
                                          - AQ
                                          - AR
                                          - AS
                                          - AT
                                          - AU
                                          - AW
                                          - AX
                                          - AZ
                                          - BA
                                          - BB
                                          - BD
                                          - BE
                                          - BF
                                          - BG
                                          - BH
                                          - BI
                                          - BJ
                                          - BL
                                          - BM
                                          - BN
                                          - BO
                                          - BQ
                                          - BR
                                          - BS
                                          - BT
                                          - BV
                                          - BW
                                          - BY
                                          - BZ
                                          - CA
                                          - CC
                                          - CD
                                          - CF
                                          - CG
                                          - CH
                                          - CI
                                          - CK
                                          - CL
                                          - CM
                                          - CN
                                          - CO
                                          - CR
                                          - CU
                                          - CV
                                          - CW
                                          - CX
                                          - CY
                                          - CZ
                                          - DE
                                          - DJ
                                          - DK
                                          - DM
                                          - DO
                                          - DZ
                                          - EC
                                          - EE
                                          - EG
                                          - EH
                                          - ER
                                          - ES
                                          - ET
                                          - FI
                                          - FJ
                                          - FK
                                          - FM
                                          - FO
                                          - FR
                                          - GA
                                          - GB
                                          - GD
                                          - GE
                                          - GF
                                          - GG
                                          - GH
                                          - GI
                                          - GL
                                          - GM
                                          - GN
                                          - GP
                                          - GQ
                                          - GR
                                          - GS
                                          - GT
                                          - GU
                                          - GW
                                          - GY
                                          - HK
                                          - HM
                                          - HN
                                          - HR
                                          - HT
                                          - HU
                                          - ID
                                          - IE
                                          - IL
                                          - IM
                                          - IN
                                          - IO
                                          - IQ
                                          - IR
                                          - IS
                                          - IT
                                          - JE
                                          - JM
                                          - JO
                                          - JP
                                          - KE
                                          - KG
                                          - KH
                                          - KI
                                          - KM
                                          - KN
                                          - KP
                                          - KR
                                          - KW
                                          - KY
                                          - KZ
                                          - LA
                                          - LB
                                          - LC
                                          - LI
                                          - LK
                                          - LR
                                          - LS
                                          - LT
                                          - LU
                                          - LV
                                          - LY
                                          - MA
                                          - MC
                                          - MD
                                          - ME
                                          - MF
                                          - MG
                                          - MH
                                          - MK
                                          - ML
                                          - MM
                                          - MN
                                          - MO
                                          - MP
                                          - MQ
                                          - MR
                                          - MS
                                          - MT
                                          - MU
                                          - MV
                                          - MW
                                          - MX
                                          - MY
                                          - MZ
                                          - NA
                                          - NC
                                          - NE
                                          - NF
                                          - NG
                                          - NI
                                          - NL
                                          - 'NO'
                                          - NP
                                          - NR
                                          - NU
                                          - NZ
                                          - OM
                                          - PA
                                          - PE
                                          - PF
                                          - PG
                                          - PH
                                          - PK
                                          - PL
                                          - PM
                                          - PN
                                          - PR
                                          - PS
                                          - PT
                                          - PW
                                          - PY
                                          - QA
                                          - RE
                                          - RO
                                          - RS
                                          - RU
                                          - RW
                                          - SA
                                          - SB
                                          - SC
                                          - SD
                                          - SE
                                          - SG
                                          - SH
                                          - SI
                                          - SJ
                                          - SK
                                          - SL
                                          - SM
                                          - SN
                                          - SO
                                          - SR
                                          - SS
                                          - ST
                                          - SV
                                          - SX
                                          - SY
                                          - SZ
                                          - TC
                                          - TD
                                          - TF
                                          - TG
                                          - TH
                                          - TJ
                                          - TK
                                          - TL
                                          - TM
                                          - TN
                                          - TO
                                          - TR
                                          - TT
                                          - TV
                                          - TW
                                          - TZ
                                          - UA
                                          - UG
                                          - UM
                                          - US
                                          - UY
                                          - UZ
                                          - VA
                                          - VC
                                          - VE
                                          - VG
                                          - VI
                                          - VN
                                          - VU
                                          - WF
                                          - WS
                                          - XK
                                          - YE
                                          - YT
                                          - ZA
                                          - ZM
                                          - ZW
                                        example: GB
                                    required:
                                      - countryCode
                                required:
                                  - type
                                  - name
                                  - accountIdentifier
                                  - bankIdentifier
                                  - address
                                  - bankAddress
                                title: New recipient
                        required:
                          - amount
                          - currencyCode
                          - recipient
                      description: Array of all the payments with optional fundingBudgetId.
                  required:
                    - defaultFundingBudgetId
                    - rows
                - type:
                    - object
                  properties:
                    paymentsFile: {}
            examples:
              Variant1:
                value:
                  defaultFundingBudgetId: 771967a7-f0f7-4137-a6bf-494452ba6549
                  rows:
                    - amount: string
                      currencyCode: USD
                      fundingBudgetId: 6ee672f6-226f-4a72-8592-0f8dc5284ab1
                      purposeCode: string
                      purpose: string
                      reference: Invoice INV-12345 for Q1 consulting services
                      externalId: string
                      recipient:
                        id: string
                        defaultReference: string
                        type: individual
                        name: string
                        displayName: string
                        subscribedEmails:
                          - name: string
                            email: user@example.com
                        accountIdentifier: string
                        bankIdentifier: string
                        secondaryBankIdentifier: string
                        intermediaryBankIdentifier: string
                        paymentNetwork: SWIFT
                        address:
                          addressType: ADDR
                          streetName: string
                          buildingNumber: string
                          buildingName: string
                          postcode: string
                          city: string
                          region: string
                          countryCode: GB
                        bankAddress:
                          countryCode: GB
              Variant2:
                value:
                  paymentsFile: null
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  format:
                    type:
                      - string
                    enum:
                      - json
                      - csv
                    description: The format that the payments were uploaded in.
                  status:
                    type:
                      - string
                    enum:
                      - accepted
                      - uploaded
                      - validated
                      - failed
                    description: The status of the upload
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                required:
                  - format
                  - status
                  - createdAt
                  - updatedAt
                example:
                  format: json
                  status: accepted
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - payment-batches:create:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````